import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("iron_spider_suit")){ iron_spider_suit(player); }
	if (player.hasTag("iron_spider_suit_1")){ iron_spider_suit_1(player); }
	if (player.hasTag("iron_spider_suit_2")){ iron_spider_suit_2(player); }
	if (player.hasTag("iron_spider_suit_3")){ iron_spider_suit_3(player); }
});
});
function iron_spider_suit(player) {
	player.runCommand('tag @s remove iron_spider_suit');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/iron_spider_suit')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('20', 'textures/items/iron_ingot')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_spider_suit_on(player)
        }
    })
}
function iron_spider_suit_1(player) {
	player.runCommand('tag @s remove iron_spider_suit_1');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/iron_spider_suit_1')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('16', 'textures/ui/wool')
	gui.button('20', 'textures/items/iron_ingot')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_spider_suit_1_on(player)
        }
    })
}
function iron_spider_suit_2(player) {
	player.runCommand('tag @s remove iron_spider_suit_2');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/iron_spider_suit_2')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('16', 'textures/ui/blue_wool')
	gui.button('20', 'textures/items/iron_ingot')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_spider_suit_2_on(player)
        }
    })
}
function iron_spider_suit_3(player) {
	player.runCommand('tag @s remove iron_spider_suit_3');
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/iron_spider_suit_3')
	gui.button('12', 'textures/items/redstone_dust')
	gui.button('16', 'textures/ui/black_wool')
	gui.button('20', 'textures/items/iron_ingot')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_spider_suit_3_on(player)
        }
    })
}
function iron_spider_suit_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:iron_spider_suit');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=20..}] at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/iron_spider_suit');
}
function iron_spider_suit_1_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:iron_spider_suit_1');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:white_wool,quantity=12..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=20..}] at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/iron_spider_suit_1');
}
function iron_spider_suit_2_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:iron_spider_suit_2');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:blue_wool,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=20..}] at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/iron_spider_suit_2');
}
function iron_spider_suit_3_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:iron_spider_suit_3');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:black_wool,quantity=16..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=20..}] at @s[hasitem={item=minecraft:redstone,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/iron_spider_suit_3');
}