import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("miles_morales_wolverine_suit")){ miles_morales_wolverine_suit(player); }
	if (player.hasTag("miles_morales_wolverine_suit_1")){ miles_morales_wolverine_suit_1(player); }
	if (player.hasTag("miles_morales_wolverine_suit_2")){ miles_morales_wolverine_suit_2(player); }
	if (player.hasTag("miles_morales_wolverine_suit_3")){ miles_morales_wolverine_suit_3(player); }
});
});
function miles_morales_wolverine_suit(player) {
	player.runCommand('tag @s remove miles_morales_wolverine_suit');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/miles_morales_wolverine_suit')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            miles_morales_wolverine_suit_on(player)
        }
    })
}
function miles_morales_wolverine_suit_1(player) {
	player.runCommand('tag @s remove miles_morales_wolverine_suit_1');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/miles_morales_wolverine_suit_1')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/yellow_wool')
	gui.button('12', 'textures/ui/brown_wool')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            miles_morales_wolverine_suit_1_on(player)
        }
    })
}
function miles_morales_wolverine_suit_2(player) {
	player.runCommand('tag @s remove miles_morales_wolverine_suit_2');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/miles_morales_wolverine_suit_2')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/gray_wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            miles_morales_wolverine_suit_2_on(player)
        }
    })
}
function miles_morales_wolverine_suit_3(player) {
	player.runCommand('tag @s remove miles_morales_wolverine_suit_3');
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/miles_morales_wolverine_suit_3')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/yellow_wool')
	gui.button('12', 'textures/ui/blue_wool')
	gui.button('12', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            miles_morales_wolverine_suit_3_on(player)
        }
    })
}
function miles_morales_wolverine_suit_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:miles_morales_wolverine_suit');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/miles_morales_wolverine_suit');
}
function miles_morales_wolverine_suit_1_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:miles_morales_wolverine_suit_1');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:yellow_wool,quantity=16..}] at @s[hasitem={item=minecraft:brown_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/miles_morales_wolverine_suit_1');
}
function miles_morales_wolverine_suit_2_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:miles_morales_wolverine_suit_2');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:gray_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/miles_morales_wolverine_suit_2');
}
function miles_morales_wolverine_suit_3_on(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:miles_morales_wolverine_suit_3');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:yellow_wool,quantity=16..}] at @s[hasitem={item=minecraft:blue_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/miles_morales_wolverine_suit_3');
}