import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("superior_spiderman_suit")){ superior_spiderman_suit(player); }
	if (player.hasTag("superior_spiderman_suit_1")){ superior_spiderman_suit_1(player); }
	if (player.hasTag("superior_spiderman_suit_2")){ superior_spiderman_suit_2(player); }
	if (player.hasTag("superior_spiderman_suit_3")){ superior_spiderman_suit_3(player); }
});
});
function superior_spiderman_suit(player) {
	player.runCommand('tag @s remove superior_spiderman_suit');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/superior_spiderman_suit')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('12', 'textures/items/component')
	gui.button('8', 'textures/items/redstone_dust')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            superior_spiderman_suit0(player)
        }
    })
}
function superior_spiderman_suit_1(player) {
	player.runCommand('tag @s remove superior_spiderman_suit_1');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/superior_spiderman_suit_1')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('16', 'textures/ui/blue_wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('12', 'textures/items/component')
	gui.button('8', 'textures/items/redstone_dust')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            superior_spiderman_suit1(player)
        }
    })
}
function superior_spiderman_suit_2(player) {
	player.runCommand('tag @s remove superior_spiderman_suit_2');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/superior_spiderman_suit_2')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('20', 'textures/ui/black_wool')
	gui.button('8', 'textures/ui/red_wool')
	gui.button('12', 'textures/items/component')
	gui.button('8', 'textures/items/redstone_dust')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            superior_spiderman_suit2(player)
        }
    })
}
function superior_spiderman_suit_3(player) {
	player.runCommand('tag @s remove superior_spiderman_suit_3');
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/superior_spiderman_suit_3')
	gui.button('4', 'textures/items/iron_ingot')
	gui.button('16', 'textures/ui/wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('12', 'textures/items/component')
	gui.button('8', 'textures/items/emerald')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            superior_spiderman_suit3(player)
        }
    })
}
function superior_spiderman_suit0(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:superior_spiderman_suit');
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/superior_spiderman_suit');
}
function superior_spiderman_suit1(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:superior_spiderman_suit_1');
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:blue_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/superior_spiderman_suit_1');
}
function superior_spiderman_suit2(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:superior_spiderman_suit_2');
   player.runCommand('/execute at @s[hasitem={item=minecraft:redstone,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:red_wool,quantity=8..}] at @s[hasitem={item=minecraft:black_wool,quantity=20..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/superior_spiderman_suit_2');
}
function superior_spiderman_suit3(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:superior_spiderman_suit_3');
   player.runCommand('/execute at @s[hasitem={item=minecraft:emerald,quantity=8..}] at @s[hasitem={item=minecraft:iron_ingot,quantity=4..}] at @s[hasitem={item=spidermanaddon:component,quantity=12..}] at @s[hasitem={item=minecraft:white_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/superior_spiderman_suit_3');
}