import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
system.runInterval(() => {
    let players = world.getAllPlayers();
    players.forEach((player) => {
    if (player.hasTag("classic_suit")){ classic_suit(player); }
	if (player.hasTag("classic_suit_1")){ classic_suit_1(player); }
	if (player.hasTag("classic_suit_2")){ classic_suit_2(player); }
	if (player.hasTag("classic_suit_3")){ classic_suit_3(player); }
});
});
function classic_suit(player) {
	player.runCommand('tag @s remove classic_suit');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/spiderman_classic_suit')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('12', 'textures/ui/blue_wool')
	gui.button('8', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_classic_suit(player)
        }
    })
}
function classic_suit_1(player) {
	player.runCommand('tag @s remove classic_suit_1');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/spiderman_classic_suit_1')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/blue_wool')
	gui.button('12', 'textures/ui/red_wool')
	gui.button('8', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_classic_suit_1(player)
        }
    })
}
function classic_suit_2(player) {
	player.runCommand('tag @s remove classic_suit_2');
    const gui = new ActionFormData();
    gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/spiderman_classic_suit_2')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('12', 'textures/ui/black_wool')
	gui.button('8', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_classic_suit_2(player)
        }
    })
}
function classic_suit_3(player) {
	player.runCommand('tag @s remove classic_suit_3');
    const gui = new ActionFormData();
	gui.title('spidermanaddon.suitsFabricForm')
    gui.button('spidermanaddon.fabricar', 'textures/items/suits/spiderman_classic_suit_3')
	gui.button('', 'textures/entity/invisible')
	gui.button('16', 'textures/ui/red_wool')
	gui.button('12', 'textures/ui/blue_wool')
	gui.button('8', 'textures/items/component')
	gui.button('', 'textures/entity/invisible')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            spiderman_classic_suit_3(player)
        }
    })
}
function spiderman_classic_suit(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:spiderman_classic_suit');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:blue_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/spiderman_classic_suit');
}
function spiderman_classic_suit_1(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:spiderman_classic_suit_1');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:red_wool,quantity=12..}] at @s[hasitem={item=minecraft:blue_wool,quantity=16..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/spiderman_classic_suit_1');
}
function spiderman_classic_suit_2(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:spiderman_classic_suit_2');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:black_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/spiderman_classic_suit_2');
}
function spiderman_classic_suit_3(player) {
   player.runCommand('/execute as @e[type=spidermanaddon:suits_machine, c=1, r=5] run event entity @s suits:spiderman_classic_suit_3');
   player.runCommand('/execute at @s[hasitem={item=spidermanaddon:component,quantity=8..}] at @s[hasitem={item=minecraft:red_wool,quantity=16..}] at @s[hasitem={item=minecraft:blue_wool,quantity=12..}] at @e[type=spidermanaddon:suits_machine, c=1] run function form_fabric/spiderman_classic_suit_3');
}